Bug 187609 - Review Request: tre - POSIX compatible regexp library with approximate matching
Review Request: tre - POSIX compatible regexp library with approximate matching
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 187610
  Show dependency treegraph
 
Reported: 2006-04-01 13:39 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 18:51:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-04-01 13:39:43 EST
Spec Name or Url: http://rpm.greysector.net/extras/tre.spec
SRPM Name or Url: http://rpm.greysector.net/extras/tre-0.7.2-1.src.rpm
Description:
TRE is a lightweight, robust, and efficient POSIX compatible regexp
matching library with some exciting features such as approximate
matching.

The patch fixes a known bug and can be found here (link from TRE's homepage):
http://laurikari.net/darcs/darcs.cgi/tre-head/?c=diff&p=20050328185603-ced27-23246308f3c1926f51c111b78207e1536a202452.gz
Comment 1 Kevin Fenzi 2006-05-13 22:12:28 EDT
Greetings. I plan on reviewing this package... 

before I do the full review however, it appears that upstream has released a new
version (0.7.3) and changed the license to LGPL. 

Can you update to the new version and change the license tag in the spec?

You may also consider (not a requirement or blocker) using a dist tag in your 
package, see: http://fedoraproject.org/wiki/DistTag

I'll wait for the new version to do a full review. 
Comment 2 Michael Schwendt 2006-05-29 07:18:47 EDT
Dropping FE-NEEDSPONSOR. Tom Callaway offered sponsorship in bug 177235
(and bugzilla change-several-bugs-at-once feature requires me to add/edit
something).
Comment 3 Michael Schwendt 2006-05-29 07:22:38 EDT
uhm, bugzilla is broken :(
Comment 4 Kevin Fenzi 2006-06-16 18:32:49 EDT
Ping Dominik: Are you still interested in packaging this? 
If I don't hear back from you in a bit more, I will close this review request. 
Comment 5 Dominik 'Rathann' Mierzejewski 2006-06-16 18:56:59 EDT
Still here, sorry for the long silence. I'll try to update all of my requests
over the weekend.
Comment 6 Kevin Fenzi 2006-06-29 15:49:13 EDT
Any further progress on an updated submission? 
There is interest in the crm114 submission that requires this package...

Comment 7 Kevin Fenzi 2006-07-25 17:18:45 EDT
Hey Dominik. Any chance of an updated submission of tre? 

If you don't have time/interest, we can close this submission and see if 
someone else is able to submit/maintain it. 
Comment 8 Jima 2006-07-25 19:14:14 EDT
Adding myself to CC list due to above-mentioned interest in crm114 (for a LUG
colleague).

It appears that tre 0.7.4 (released a couple months ago) may resolve the issues
with x86_64 which caused the original delays with this package moving forward
(which I learned of by discussing this package with Dominik on IRC).  Alas, I
lack access to an x86_64 buildhost (well, for scratch builds), so I can't verify
this.

If Dominik doesn't have the time to continue this (which was mentioned), I'd be
happy to pick up the pieces he put together and maintain them.
Comment 9 Dominik 'Rathann' Mierzejewski 2006-07-28 15:06:07 EDT
http://rpm.greysector.net/extras/tre.spec
http://rpm.greysector.net/extras/tre-0.7.4-1.src.rpm

But I'm afraid the 64bit issues are still there, i.e. it still crashes on me.
Also, the license changed to LGPL.
Comment 10 Kevin Fenzi 2006-08-02 00:17:26 EDT
Sorry for my delay now. I was out of town. 
I will try and do a full review in the next few days... 

Perhaps it's worth reporting the 64bit crash upstream? I see that the 0.7.4 
release claims to have a bunch of x86_64 build fixes, but it doesn't say that 
it fully works there yet. 

Comment 11 Dominik 'Rathann' Mierzejewski 2006-08-02 03:33:27 EDT
Well, I'm in no position to complain about delays, so no worries. ;) Thanks for
taking the time.

I'll try reporting the crash this week. Actually, it's crm114 that triggers the
crash.
Comment 12 Kevin Fenzi 2006-08-02 14:51:45 EDT
ok, here's a review: 

OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (LGPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
8b4bfb078f2cc9e01f37d3d251672f75  tre-0.7.4.tar.bz2
8b4bfb078f2cc9e01f37d3d251672f75  tre-0.7.4.tar.bz2.1
OK - Package compiles and builds on at least one arch.
See below - Package needs ExcludeArch
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Spec has needed ldconfig in post and postun
n/a - Package is relocatable and has a reason to be.
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
n/a - -doc subpackage needed/used.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
OK - .pc files in -devel subpackage.
OK - .so files in -devel subpackage.
See below - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
n/a - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
See below - No rpmlint output.

Issues:

1. Not a blocker, but you might consider using a dist tag:
http://fedoraproject.org/wiki/Packaging/DistTag

2. The devel package should Requires: %{name} = %{version}-%{release}

3. rpmlint has some output: (all warnings, but should be cleaned up)

W: agrep summary-ended-with-dot Approximate grep utility.
W: tre macro-in-%changelog doc
W: tre macro-in-%changelog post
W: tre mixed-use-of-spaces-and-tabs
W: tre-devel summary-ended-with-dot Development files for use with the tre 
package.
W: tre-devel no-documentation

(the last one should be ignored)

4. You mention crashes with the x86_64 version. Perhaps
the package should be ExcludeArch'ed for now until the bug is
found/fixed? I don't have a x86_64 or ppc test machine here, perhaps
someone else would like to give it a try on those arches before
approval?
Comment 13 Dominik 'Rathann' Mierzejewski 2006-08-02 17:42:24 EDT
http://rpm.greysector.net/extras/tre.spec
http://rpm.greysector.net/extras/tre-0.7.4-2.src.rpm

Fixed all of the above. Thanks for the review!
Comment 14 Kevin Fenzi 2006-08-02 19:00:51 EDT
Two issues left that I see: 

1. rpmlint still complains about 
W: tre mixed-use-of-spaces-and-tabs

The top part of your tre.spec file uses tabs instead of spaces. This isn't a 
blocker, but might be nice to replace those tabs with spaces for consistancy. 

2. Instead of ExclusiveArch, you should use ExcludeArch on x64... 
Even though there has been no testing on ppc, it should probibly be included 
until there is a report of it not working, it shouldn't be excluded just 
because you aren't able to test it. From the package review guidelines:

- MUST: If the package does not successfully compile, build or work on an 
architecture, then those architectures should be listed in the spec in 
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed 
in bugzilla, describing the reason that the package does not compile/build/work 
on that architecture. The bug number should then be placed in a comment, next 
to the corresponding ExcludeArch line. New packages will not have bugzilla 
entries during the review process, so they should put this description in the 
comment until the package is approved, then file the bugzilla entry, and 
replace the long explanation with the bug number. (Extras Only) The bug should 
be marked as blocking one (or more) of the following bugs to simplify tracking 
such issues:  FE-ExcludeArch-x86,  FE-ExcludeArch-x64,  FE-ExcludeArch-ppc
Comment 16 Kevin Fenzi 2006-08-03 22:55:11 EDT
Everything looks fixed up and therefore this package is APPROVED. 

Don't forget to close this bug as NEXTRELEASE once it's been imported and 
built. Also, don't forget to submit a bug against the package once it's got a 
bugzilla component about the breakage on x64. 

Comment 17 Dominik 'Rathann' Mierzejewski 2006-08-04 15:32:52 EDT
Package imported and devel build successful. FC-4 and FC-5 branches requested.
Comment 18 Dominik 'Rathann' Mierzejewski 2006-08-04 18:51:22 EDT
FC-4 and FC-5 built, closing as NEXTRELEASE.
Comment 19 Dominik 'Rathann' Mierzejewski 2007-10-27 10:41:11 EDT
Package Change Request
======================
Package Name: tre
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.